summaryrefslogtreecommitdiffstats
path: root/development/ruff
diff options
context:
space:
mode:
Diffstat (limited to 'development/ruff')
-rw-r--r--development/ruff/README12
-rw-r--r--development/ruff/ruff.SlackBuild66
-rw-r--r--development/ruff/ruff.info10
-rw-r--r--development/ruff/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/development/ruff/README b/development/ruff/README
new file mode 100644
index 0000000000..c5eacaf826
--- /dev/null
+++ b/development/ruff/README
@@ -0,0 +1,12 @@
+Ruff! (Runtime function formatter) is a documentation generation system for
+programs written in the Tcl programming language. Ruff! is included with
+Woof! but can be used independently of it. Ruff! uses runtime introspection
+in conjunction with comment analysis to generate reference manuals for Tcl
+programs.
+
+In comparison with source code based documentation generators, Ruff!
+produces documentation that not only requires less effort from the
+programmer, but is also more complete, more accurate and more maintainable.
+
+Ruff! is covered by a liberal BSD open-source license that permits use for
+any purpose.
diff --git a/development/ruff/ruff.SlackBuild b/development/ruff/ruff.SlackBuild
new file mode 100644
index 0000000000..766c5e1745
--- /dev/null
+++ b/development/ruff/ruff.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for ruff
+
+# Written by Richard Ellis (rellis@dp100.com)
+
+# Released into the public domain
+# V1 - Slackware 13.37 - November 12, 2011
+
+PRGNAM=ruff
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -o $CWD/$PRGNAM-$VERSION.zip -d $TMP
+cd $PRGNAM
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM-$VERSION
+mv ruff.tcl pkgIndex.tcl $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ruff.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ruff/ruff.info b/development/ruff/ruff.info
new file mode 100644
index 0000000000..7e41172257
--- /dev/null
+++ b/development/ruff/ruff.info
@@ -0,0 +1,10 @@
+PRGNAM="ruff"
+VERSION="0.4"
+HOMEPAGE="http://woof.magicsplat.com/ruff_home"
+DOWNLOAD="http://downloads.sourceforge.net/woof/ruff-0.4.zip"
+MD5SUM="8de7ca0f7642b923a0d1b5a11482d339"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Richard Ellis"
+EMAIL="rellis@dp100.com"
+APPROVED="Erik Hanson"
diff --git a/development/ruff/slack-desc b/development/ruff/slack-desc
new file mode 100644
index 0000000000..ed09481551
--- /dev/null
+++ b/development/ruff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+ruff: Ruff! (Runtime function formatter)
+ruff:
+ruff: Ruff! is a documentation generation system for programs written in
+ruff: the Tcl programming language. Ruff! is included with Woof! but can be
+ruff: used independently of it. Ruff! uses runtime introspection in
+ruff: conjunction with comment analysis to generate reference manuals for
+ruff: Tcl programs.
+ruff:
+ruff:
+ruff:
+ruff: